package com.gree.mall.manager.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.fasterxml.jackson.annotation.JsonValue;
import com.gree.mall.manager.enums.base.BaseEnum;
import lombok.AccessLevel;
import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor(access = AccessLevel.PRIVATE)
public enum DeliveryStatusEnum implements BaseEnum {

    SEND("SEND","已发货"),
    REFUND("REFUND","已退货"),
    PART_REFUND("PART_REFUND","部分退货"),
    REFUND_PRICE("REFUND_PRICE","仅退款"),
    ;

    @EnumValue
    @JsonValue
    private final String key;
    private final String remark;
}
